This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 89210 - groff -Tdvi prints a cryptic error message
groff -Tdvi prints a cryptic error message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-20 20:51 EDT by Sam Steingold
Modified: 2013-03-03 20:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 08:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2003-04-20 20:51:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
groff -Tdvi prints 2 error messages, 
then proceeds to produce the apparently correct output.

Version-Release number of selected component (if applicable):
groff-1.18.1-20

How reproducible:
Always

Steps to Reproduce:
$ touch zz.1
$ groff -Tdvi -mandoc zz.1 > /dev/null
/usr/share/groff/1.18.1/font/devdvi/M:6: error: bad width for `��'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1/font/devdvi/G:6: error: bad width for `��'
troff: warning: can't find font `G'


Actual Results:  two errors and two warnings are printed for any input.


Expected Results:  no errors or warnings should be produced.
Comment 1 Sam Steingold 2003-04-24 23:43:14 EDT
See also 
<http://article.gmane.org/gmane.comp.printing.groff.bugs/1355>
<http://article.gmane.org/gmane.comp.printing.groff.bugs/1357>
which indicate that the problem is with RH/debian packaging.
Comment 2 Thomas Woerner 2004-04-22 08:25:59 EDT
Should be fixed in rawhide.
Comment 3 Thomas Woerner 2004-08-17 05:29:48 EDT
Closed due to user inactivity.
Comment 4 Sam Steingold 2004-08-17 09:41:12 EDT
I still observe this with FC2 groff-1.18.1-34:

09:41:04 ~ [1]$ touch zz.1
09:41:07 ~ [2]$ groff -Tdvi -mandoc zz.1 > /dev/null
/usr/share/groff/1.18.1/font/devdvi/M:6: error: bad width for `¡¡'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1/font/devdvi/G:6: error: bad width for `¡¡'
troff: warning: can't find font `G'
09:41:19 ~ [3]$
Comment 5 Matthew Miller 2005-04-26 12:37:21 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Sam Steingold 2005-04-26 12:53:09 EDT
still observe it, with the exact same error messages as in the comment #4:
12:50:14 ~ [1]$ touch zz.1
12:50:22 ~ [2]$ groff -Tdvi -mandoc zz.1 > /dev/null
/usr/share/groff/1.18.1.1/font/devdvi/M:6: error: bad width for `¡¡'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1.1/font/devdvi/G:6: error: bad width for `¡¡'
troff: warning: can't find font `G'
12:50:30 ~ [3]$ rpm -q groff
groff-1.18.1.1-3
Comment 7 Peter van Egdom 2006-06-24 03:55:32 EDT
Bug still occurs on Fedora Core release 5 :

[peterve@peanut ~]$ touch zz.1
[peterve@peanut ~]$ groff -Tdvi -mandoc zz.1 > /dev/null
/usr/share/groff/1.18.1.1/font/devdvi/M:6: error: bad width for `'
troff: warning: can't find font `M'
/usr/share/groff/1.18.1.1/font/devdvi/G:6: error: bad width for `'
troff: warning: can't find font `G'
[peterve@peanut ~]$ rpm -q groff
groff-1.18.1.1-10
Comment 8 Marcela Mašláňová 2007-07-31 07:02:29 EDT
Problem still occurs. Could be related with font width and utf8.
Comment 9 Sam Steingold 2007-12-02 21:11:13 EST
this bug is 4.5 years old and I still observe it with fc8.
Comment 10 Bug Zapper 2008-04-03 11:27:11 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Sam Steingold 2008-04-03 11:35:53 EDT
as clearly specified in Comment #9:
this bug is 4.5 years old and I still observe it with fc8.
groff-1.18.1.4-11.fc8
see the initial report for how to reproduce
Comment 12 Sam Steingold 2008-04-03 11:36:45 EDT
actually, sorry - the bug is now 5 years old.
Comment 13 Sam Steingold 2008-06-03 10:51:48 EDT
yep, 5yo and still with us on fc9
Comment 14 Bug Zapper 2009-06-09 17:57:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Sam Steingold 2009-06-09 19:31:12 EDT
6yo and still with us on fc10
Comment 16 Bug Zapper 2009-11-18 03:03:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Sam Steingold 2009-11-18 09:43:53 EST
Your unwillingness to even look at a trivial bug over 6.5 years is fascinating.
I switched to ubuntu, so I cannot test this anymore.
However, you can test this bug yourself, the original message contains 
the 2 commands that let you do that.
Comment 18 Jan Vcelak 2010-03-15 08:23:57 EDT
Fixed in Rawhide (version 1.20.1-0.fc14).

Note You need to log in before you can comment on or make changes to this bug.